Bug 1759880 - update rules in cluster-monitoring-operator to reflect chages to container and pod metric labels
Summary: update rules in cluster-monitoring-operator to reflect chages to container an...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.3.0
Assignee: Paul Gier
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-09 10:15 UTC by Paul Gier
Modified: 2020-05-13 21:27 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:27:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 501 None closed Bug 1759880: update container and pod labels 2020-06-10 15:06:05 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:07:03 UTC

Internal Links: 1759945

Description Paul Gier 2019-10-09 10:15:14 UTC
Metrics coming from CAdvisor have had some changes to the container and pod labels.  For example, the labels "container_name" and "pod_name" in container_memory_usage_bytes have changed to "container" and "pod".

These labels need to be updated in the cluster-monitoring-operator recording rules.

Comment 1 Sergiusz Urbaniak 2019-10-11 09:49:49 UTC
bumping to medium, as we cannot ship 4.3 without this change.

Comment 2 Paul Gier 2019-10-11 13:02:13 UTC
AFAICT the scope of this is limited to just container_name and pod_name labels:
New label names were added here: https://github.com/kubernetes/kubernetes/pull/69099
and old ones were dropped here: https://github.com/kubernetes/kubernetes/pull/80376

Comment 11 errata-xmlrpc 2020-05-13 21:27:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.